## visad.data.amanda
Class BaseTrack

    java.lang.Object
      visad.data.amanda.BaseTrack

All Implemented Interfaces:
  Comparable

Direct Known Subclasses:
  FitTrack, MCTrack

public abstract class BaseTrack
extends Object
implements Comparable

Field Summary
`static FunctionType` `functionType`
`static RealType` `indexType`
`static FieldImpl` `missing`
`static FunctionType` `timeSequenceType`

Constructor Summary
`(package private)` `BaseTrack(float xstart, float ystart, float zstart, float zenith, float azimuth, float length, float energy, float time)`

Method Summary
`int` `compareTo(BaseTrack t)`
`int` `compareTo(Object obj)`
`(package private) void` `computeSamples(float[] timeSteps)`
`boolean` `equals(Object obj)`
`float` `getEnergy()`
`float` `getLength()`
`float` `getXMax()`
`float` `getXMin()`
`float` `getYMax()`
`float` `getYMin()`
`float` `getZMax()`
`float` `getZMin()`
`(package private) abstract FlatField` `makeData()`
`(package private) FlatField` `makeData(float maxLength)`
`(package private) FieldImpl` `makeTimeSequence(float[] timeSteps)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### indexType

    public static final RealType indexType

### functionType

    public static FunctionType functionType

### timeSequenceType

    public static FunctionType timeSequenceType

### missing

    public static FieldImpl missing

Constructor Detail

### BaseTrack

    BaseTrack(float xstart,
              float ystart,
              float zstart,
              float zenith,
              float azimuth,
              float length,
              float energy,
              float time)

Method Detail

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### compareTo

    public int compareTo(BaseTrack t)

### computeSamples

    final void computeSamples(float[] timeSteps)

### equals

    public boolean equals(Object obj)

### getEnergy

    public final float getEnergy()

### getLength

    public final float getLength()

### getXMax

    public final float getXMax()

### getXMin

    public final float getXMin()

### getYMax

    public final float getYMax()

### getYMin

    public final float getYMin()

### getZMax

    public final float getZMax()

### getZMin

    public final float getZMin()

### makeData

    abstract FlatField makeData()
                         throws VisADException

  Throws:
    `VisADException`

### makeData

    final FlatField makeData(float maxLength)
                      throws VisADException

  Throws:
    `VisADException`

### makeTimeSequence

    final FieldImpl makeTimeSequence(float[] timeSteps)

### toString

    public String toString()